# Class DatabricksDriverFeatureFlagsContext

java.lang.Object
com.databricks.jdbc.common.safe.DatabricksDriverFeatureFlagsContext

public class DatabricksDriverFeatureFlagsContext extends Object
Context for dynamic feature flags that control the behavior of the driver.

## Constructor Summary

Constructors
Constructor
Description
`DatabricksDriverFeatureFlagsContext(IDatabricksConnectionContext connectionContext)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFeatureEnabled(String name)`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabricksDriverFeatureFlagsContext

public DatabricksDriverFeatureFlagsContext(IDatabricksConnectionContext connectionContext)

## Method Details

### isFeatureEnabled

public boolean isFeatureEnabled(String name)

### shutdown

public void shutdown()